import * as React from 'react';
import * as wjGrid from 'wijmo/wijmo.react.grid';
import './App.css';

const logo = require('./logo.svg');

class App extends React.Component {

  data = [
    { country: 'Japan', date: new Date(2017, 1, 1), sales: 0 },
    { country: 'USA', date: new Date(2017, 1, 1), sales: 0 },
    { country: 'UK', date: new Date(2017, 1, 1), sales: 0 },
    { country: 'China', date: new Date(2017, 1, 1), sales: 0 }
  ];
  
  render() {
    return (
      <div className="App">
        <div className="App-header">
          <img src={logo} className="App-logo" alt="logo" />
          <h2>Welcome to React</h2>
        </div>
        <p className="App-intro">
          To get started, edit <code>src/App.tsx</code> and save to reload.
        </p>

        <wjGrid.FlexGrid
            autoGenerateColumns={false}
            columns={[
                { header: 'Country', binding: 'country', width: '*' },
                { header: 'Date', binding: 'date' },
                { header: 'Sales', binding: 'sales', format: 'c2' }
            ]}
            itemsSource={this.data}
            style={{ height: '250px', width: '500px' }}
        />
        
      </div>
    );
  }
}

export default App;
